.TH "XtraScreenHacks" "1" "" "X Version 11" ""
.SH "NAME"
flyer \- little images zooming by like stars
.SH "SYNOPSIS"
.B flyer
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-bitmap \fIpath\fP]
[\-count \fInumber\fP]
[\-ncolors \fInumber\fP]
[\-mono]
[\-size \fInumber\fP]
[\-step \fInumber\fP]
[\-dots]
[\-fog]
[\-fps]
.SH "DESCRIPTION"
Flyer is like the classic screen saver from Redmond that featured its logo, except now you can fly anything.
.SH "OPTIONS"
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly\-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per\-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
.TP 8
.B \-bitmap \fIpath\fP
Path to an X bitmap file that will be used as the flyer image. Maximum size: 1024x1024. Must be valid xbm, color xpms are disallowed. Power of two sized square bitmaps are best, although all bitmaps up to and including the maximum size are accepted. Non\-square bitmaps will appear distorted (to fix this, pad the bitmap to a square shape with background pixels). Larger bitmaps show less aliasing. See \-size if using a very small (for instance, 8x8) bitmap. Default: the X11 logo.
.TP 8
.B \-count \fInumber\fP
How many flyers there should be on the screen at one time. Legal values are from 1 to 1000.  Default: 20.
.TP 8
.B \-ncolors \fInumber\fP
How many different colors should be used. Legal values are from 1 to 256.  Default: 16.
.TP 8
.B \-mono
Draw all flyers in white (or whatever your display uses for white). Nice for simple star\-like flyers with \-dot. Overrides \-ncolors.
.TP 8
.B \-size \fInumber\fP
How big the flyers should be. Small bitmaps look better at smaller sizes and vice versa. Legal values are from 1 to 200.  Default: 100.
.TP 8
.B \-step \fInumber\fP
How far the flyers should advance in one frame. For slow motion flyers, this gives a smoother appearance than slowing down the frame rate with \-delay. Legal values are from 1 to 1000.  Default: 200.
.TP 8
.B \-dots
Make flyers be simple dots or points instead of pictures. Doesn't use texture mapping, so it may work better on slower machines. Overrides \-bitmap.
.TP 8
.B \-fog
Make flyers in the distance be darker.
.TP 8
.B \-fps | \-no\-fps
Whether to show a frames\-per\-second display at the bottom of the screen.
.SH "ENVIRONMENT"
.PP 
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH "SEE ALSO"
.BR X (1),
.BR xscreensaver (1),
.BR bitmap (1)
.SH "COPYRIGHT"
Copyright \(co 2009 by Kelley Nielsen.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH "AUTHOR"
Kelley Nielsen <shegeek\-dev@comcast.net>
